<template>
    <h1>Product's attributes</h1>
    <a v-link="{ path: '/add-attribute' }">Add custom attribute</a>

    <datatable :url="'/api/v1/product-attributes'" :columns="columns" :options="options"></datatable>
</template>

<script>
    import datatable from './datatable.vue';

    export default {
        data: function () {
            return {
                columns: [
                    {
                        data: 'name',
                        title: 'Name',
                        render: function (data, type, row) {
//							console.log(data);
//							console.log(type);
//							console.log(row);
                            return '<a href="#!/attribute/' + row._id + '">' + data + '</a>';
                        }
                    },
                    {data: 'system', title: 'Is system?'
                    },
                    {data: 'code', title: 'Code'},
                    {data: 'position', title: 'Product position'},
                    {data: 'is_column', title: 'Is column?'},
                    {
                        data: 'column_position',
                        title: 'Column position',
                        render: function (data, type, row) {
                            if (row.is_column == false) {
                                return null;
                            } else {
                                return data;
                            }
                        }
                    },
                    {data: 'type', title: 'Attribute type'}
                ],
                options: {}
            }
        },
        components: {datatable},
    }
</script>

<style>

</style>
